// * This code is licensed under:
// * JHPlot License, Version 1.0
// * - for license details see http://hepforge.cedar.ac.uk/jhepwork/ 
// *
// * Copyright (c) 2005 by S.Chekanov (chekanov@mail.desy.de). 
// * All rights reserved.


#ifndef CBook_H 
#define CBook_H
#include <HCL/Histogram.h>

class CBook{
public:
      
     static CBook* open(const char* filename);
     unsigned int  sizeH1D();
     unsigned int  sizeH2D();
     unsigned int  size(); // all size
     void  write();
     void  print();
     void  clear();
     void  close();
     void printH1D(unsigned int i);
     void printH2D(unsigned int i);
     void print(
                   HCL::Base1D& aHistogram);
     void print(
                   HCL::Base2D& aHistogram);

protected:
    CBook();                   // constructor
private:
    static CBook* _singleton;
};

#endif
